EC_NODE_OPTION(3)

NAME
ec_node_option - Create an option node that makes its child optional.

SYNOPSIS
#include <ecoli/node_option.h>

struct ec_node * ec_node_option(
    const char       *id,    /* The node identifier. */
    /*
     * The child node. It is consumed and will be freed when the parent is
     * freed, or immediately on error.
     */
    struct ec_node   *node
);

RETURN VALUE

The node, or NULL on error (errno is set).

SEE ALSO

ec_node_option_set_child(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.